- libbson 1.13.1 »
- API Reference »
- Memory Management

# bson_realloc_ctx()

## Synopsis

    void *
    bson_realloc_ctx (void *mem, size_t num_bytes, void *ctx);

## Parameters

- `mem`: A memory region.
- `num_bytes`: A size_t containing the requested size.
- `ctx`: A consumer-specific pointer or `NULL`.

## Description

This function is identical to bson_realloc() except it takes a context parameter. This is useful when working with pooled or specific memory allocators.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.